org.h2.store

## Class CountingReaderInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.h2.store.CountingReaderInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class CountingReaderInputStream
    extends java.io.InputStream

An input stream that reads the data from a reader and limits the number of bytes that can be read.

### Constructor Summary

Constructors
Constructor and Description
`CountingReaderInputStream(java.io.Reader reader, long maxLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `getLength()` The number of characters read so far (but there might still be some bytes in the buffer).
`int` `read()`
`int` `read(byte[] buff, int offset, int len)`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountingReaderInputStream

    public CountingReaderInputStream(java.io.Reader reader,
                                     long maxLength)

### Method Detail

#### read

    public int read(byte[] buff,
                    int offset,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### getLength

    public long getLength()

The number of characters read so far (but there might still be some bytes in the buffer).

Returns:
  the number of characters

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`